import { GlassCard } from "@/components/ui/glass-card";
import { ResearchForm } from "@/components/forms/research-form";

export default function Home() {
  return (
    <main className="relative flex min-h-[calc(100vh-64px)] flex-col items-center justify-center p-4 sm:p-8">
      <div className="container max-w-xl mx-auto z-10">
        <div className="text-center mb-8">
          <h1 className="text-5xl md:text-6xl font-bold text-center text-transparent bg-clip-text bg-gradient-to-r from-white to-white/70 mb-3 drop-shadow-lg animate-pulse">
            文献启明星
          </h1>
          <p className="text-xl text-center text-white/80 mb-2">
            科研调研智能体系统
          </p>
          <div className="w-16 h-1 mx-auto bg-gradient-to-r from-[var(--theme-accent)] to-[var(--theme-highlight)] rounded-full"></div>
        </div>
        
        <GlassCard className="w-full">
          <ResearchForm />
        </GlassCard>
        
        <p className="text-white/50 text-center text-xs mt-8">
          基于人工智能的论文检索与分析系统
        </p>
      </div>
    </main>
  );
}
