"use client"

import { useEffect } from "react";

export default function ClientInit() {
  useEffect(() => {
    // 仅在开发环境中执行
    if (process.env.NODE_ENV === 'development') {
      // 清除所有存储的token和用户数据
      localStorage.removeItem("token");
      localStorage.removeItem("userData");
      document.cookie = "token=; expires=Thu, 01 Jan 1970 00:00:00 UTC; path=/;";
      console.log("开发环境：已清除登录状态");
    }
  }, []);

  return null; // 这个组件不需要渲染任何内容
} 