"use client";

import { useState, useEffect } from "react";
import { motion } from "framer-motion";

export function LanguageSwitcher() {
  const [language, setLanguage] = useState("zh"); // Default to Chinese
  
  const toggleLanguage = () => {
    const newLanguage = language === "zh" ? "en" : "zh";
    setLanguage(newLanguage);
    // Store the language preference in localStorage
    localStorage.setItem("preferredLanguage", newLanguage);
    // You could also update a global state or context here
  };
  
  useEffect(() => {
    // Load saved language preference on component mount
    const savedLanguage = localStorage.getItem("preferredLanguage");
    if (savedLanguage) {
      setLanguage(savedLanguage);
    }
  }, []);
  
  return (
    <button
      onClick={toggleLanguage}
      className="flex items-center justify-center h-8 px-3 rounded-full backdrop-blur-md bg-white/10 text-white hover:bg-white/20 transition-all"
      title={language === "zh" ? "Switch to English" : "切换到中文"}
    >
      {language === "zh" ? "EN" : "中文"}
    </button>
  );
} 