interface ErrorMessageProps {
  message: string;
  onDismiss: () => void;
}

export function ErrorMessage({ message, onDismiss }: ErrorMessageProps) {
  return (
    <div className="p-4 mb-4 rounded-lg bg-red-500/20 border border-red-500/50 text-white">
      <div className="flex justify-between items-start">
        <div>
          <h4 className="font-medium">处理请求时出错</h4>
          <p className="mt-1 text-white/80">{message}</p>
        </div>
        <button 
          onClick={onDismiss}
          className="text-white/70 hover:text-white"
        >
          ✕
        </button>
      </div>
    </div>
  );
} 